// Copyright (c) 2000 Jens-Petter Sandvik (jenspets@ifi.uio.no)
// If you use this code in another program, don't forget the credits...

// This is an application for everyone that needs a break...
#include<stdlib.h>
#include<stdio.h>
#include"app.h"

////////////////////////////////////////////
//        Main

int main(void){
	new BreakApp();
	be_app->Run();
	delete be_app;
	return 0;
}

///////////////////////////////////////////////
//      BreakApp

BreakApp::BreakApp(void) : BApplication(APP_SIG){
	apprect.Set(150.0, 150.0, 500.0, 240.0);
	confrect.Set(200.0, 170.0, 500.0, 360.0);
	title = (char *) malloc(sizeof(char *) * 100);
	label = (char *) malloc(sizeof(char *) * 100);

	cwindow = new ConfigWindow(confrect);	
	cwindow->Show();
}

void BreakApp::MessageReceived(BMessage *message){
	switch (message->what){
	case BREAK_START:
		Lock();
		cwindow->GetValues(title, label, &time);
		bwindow = new BreakWindow(apprect, label, time);		
		bwindow->SetTitle(title);
		cwindow->PostMessage(B_QUIT_REQUESTED);
		bwindow->Show();
		SetPulseRate(1000000); // 1000000ms = 1s.
		Unlock();
		break;
	default:
		BApplication::MessageReceived(message);
		break;
	}
}

void BreakApp::AboutRequested(void){
	BAlert *about_box
		= new BAlert("About Break-O-Matic", ABOUT_TEXT, "Cool...");
	about_box->Go();
}

void BreakApp::SetValues(void){

}

void BreakApp::SetTime(int time){
	this->time = time;
}

int BreakApp::GetTime(void){
	return time;
}

void BreakApp::Pulse(void){
	bwindow->UpdateBar(1);
	
}	


